grub-devel
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: GPL version 3


From: Jeroen Dekkers
Subject: Re: GPL version 3
Date: Wed, 04 Jul 2007 23:10:06 +0200
User-agent: Wanderlust/2.14.0 (Africa) SEMI/1.14.6 (Maruoka) FLIM/1.14.8 (Shij┼Ź) APEL/10.7 Emacs/22.0.95 (x86_64-pc-linux-gnu) MULE/5.0 (SAKAKI)

At Wed, 4 Jul 2007 21:40:15 +0200,
Yoshinori K. Okuji wrote:
> So I bet that GRUB Legacy should remain under GPLv2. But this can cause some 
> problem potentially. Let's say, we find the same bug both in GRUB Legacy and 
> in GRUB 2. In the current trend, the bug would be fixed in GRUB 2 sooner. But 
> this fix may not be backported to GRUB Legacy as it is, once GRUB 2 migrates 
> to GPLv3, because of the license incompatibility. Thus this means that the 
> maintenance of GRUB Legacy would be harder.

Are you sure about this? Given that we've assigned copyright to the
FSF, the FSF can decide under which free software license to license
that code. So I don't really see why we can't release the same code
under GPLv2 or later in GRUB Legacy and under GPLv3 or later in GRUB2.

On the other hand, there have been 4 changelog entries for GRUB Legacy
in the past year, so we shouldn't really make a big deal out of
this. So IMO we should just go for GPLv3.

Jeroen Dekkers




reply via email to

[Prev in Thread] Current Thread [Next in Thread]